package bank;

import java.util.Collection;
import java.util.Iterator;
import java.util.ArrayList;

/**
 * @author S.Chassande-Barrioz
 */
public class Bank {
    protected String name;
    protected Collection agencies;

    public Bank() {
    }

    public Bank(String name) {
        this.name = name;
        agencies = new ArrayList();
    }

    public Agency getAgency(String name) {
        Iterator it = agencies.iterator();
        while(it.hasNext()) {
            Agency a = (Agency) it.next();
            if (a.name.equals(name)) {
                return a;
            }
        }
        return null;
    }

    public synchronized Agency createAgency(String name) {
        Agency a = getAgency(name);
        if (a == null) {
            a = new Agency(name, this);
            agencies.add(a);
        }
        return a;
    }
}
