/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.ant.ejb;

import java.util.ArrayList;

import org.apache.tools.ant.types.DTDLocation;
import org.objectweb.speedo.ant.AbstractEnhancerTask;
import org.objectweb.speedo.generation.AbstractEnhancer;
import org.objectweb.speedo.generation.ejb.EJBEnhancer;

public class EJBEnhancerTask extends AbstractEnhancerTask {

    public AbstractEnhancer getEnhancer() {
        return new EJBEnhancer();
    }

    protected void initDefaultDescPath() {
        persistdesc.setDir(src);
        persistdesc.setIncludes("**/persistence.xml");
    }

    protected void addDtdLocations(ArrayList al) {
        DTDLocation dl = new DTDLocation();
        dl.setPublicId("-//Sun Microsystems, Inc.//DTD Entreprise Java Beans 3.0 - Persistence//EN");
        dl.setLocation("ejb3-persistence.dtd");
        al.add(dl);    	
    }
}
