/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.genclass.merger;

import java.util.HashSet;
import java.util.Set;

public class GCInfo {
    
    public final String gcn;
    public final String firstClass;
    public final String secondClass;
    public final String classToWrite;
    public boolean isAbstract;
    public Set nonAbstractMethods = new HashSet();
    private String superName;
    public String[] itfs;

    public GCInfo(String gcn, String class1, String class2, String write) {
        this.gcn = gcn;
        this.firstClass = class1;
        this.secondClass = class2;
        this.classToWrite = write;
    }

    public void setSuperName(String sn) {
        if (superName != null && !superName.equals(sn)) {
            System.err.println("Assign new super name: " + sn);
        }
        this.superName = sn;
    }

    public String getSuperName() {
        return superName;
    }

    public boolean implement(String itfName) {
        for (int i = 0; i < itfs.length; i++) {
            if (itfs[i].equals(itfName)) {
                return true;
            }
        }
        return false;
    }
}
