/**
 * perseus/connector: this is an implementation of some JCA-related technologies
 * (resource adapters and managers) for the ObjectWeb consortium.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.jca;

import javax.resource.ResourceException;
import javax.resource.cci.ConnectionFactory;
import javax.resource.spi.ConnectionManager;

import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;

public abstract class SpeedoConnectionFactory implements ConnectionFactory {
    /**
     * The logger into which traces about JDOConnectionFactory are produced.
     */
    protected Logger logger;
    /**
     * The ConnectionManager used to actually get Connection.
     */
    protected ConnectionManager connectionManager = null;

    public abstract Object createConnection() throws ResourceException;

    public void setConnectionManager(ConnectionManager connectionManager) {
        if (connectionManager != null) {
            logger.log(BasicLevel.DEBUG,
                    "Linked the ConnectionFactory to the ConnectionManager: "
                    + connectionManager);
        }
		this.connectionManager = connectionManager;
    }
}
