/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.objectweb.speedo.locale;

import java.util.ResourceBundle;

/**
 * References all ResourceBundle provided by Speedo. Provides one static
 * method for accessing each of them.
 * 
 * @author P. Dechamboux
 *
 */
public class LocaleHelper {
	private static String SPEEDORESOURCES = "org.objectweb.speedo.locale.SpeedoResources";
	private static ResourceBundle speedoRB = null;
	public static ResourceBundle getSpeedoRB() {
		if (speedoRB == null) {
			speedoRB = ResourceBundle.getBundle(SPEEDORESOURCES);
		}
		return speedoRB;
	}
	
	private static String EJBPARSERESOURCES = "org.objectweb.speedo.generation.parser.ejb.EJBParsingResources";
	private static ResourceBundle ejbparsingRB = null;
	public static ResourceBundle getEJBParsingRB() {
		if (ejbparsingRB == null) {
			ejbparsingRB = ResourceBundle.getBundle(EJBPARSERESOURCES);
		}
		return ejbparsingRB;
	}
}
