/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.objectweb.speedo.metadata;


/**
 * Defines a column that has no associated field in the Speedo meta-info. This
 * is used for column that are used for special-purpose information such
 * as discriminator info with inheritance or version info for optimistic
 * concurrency.
 * 
 * @author P. Dechamboux
 */
public class SpeedoNoFieldColumn extends SpeedoElement {

    private static final long serialVersionUID = 5105515241657718408L;

    /**
	 * The Java type of the column to be defined.
     * Type.getDescriptor(XXXX.class)
	 */
	public String type;
	/**
	 * The defintion of the column that is not associated with any field.
	 */
	public SpeedoColumn column;
}
