/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.mim.ejb.lib;

import org.objectweb.perseus.persistence.api.TransactionalPersistenceManager;
import org.objectweb.speedo.api.SpeedoRuntimeException;
import org.objectweb.speedo.lib.Personality;
import org.objectweb.speedo.mim.lib.AbstractHomeImpl;
import org.objectweb.speedo.pm.api.POManagerFactoryItf;

/**
 * 
 * @author dechampa
 */
public abstract class EJBAbstractHomeImpl extends AbstractHomeImpl {

    public EJBAbstractHomeImpl() {
        super(Personality.EJB);
    }
    
    public EJBAbstractHomeImpl(TransactionalPersistenceManager atpm, 
            POManagerFactoryItf apmf) {
        super(atpm, apmf);
    }
    
    /**
     * Adds a listener for the current class
     * @param listener is the new listener
     */
    public void addInstanceLifeCycleListener(Object listener) {
    	throw new SpeedoRuntimeException("Dynamic listener adding is not supported in EJB personality of Speedo");
    }

    /**
     * Remove a listener for the current class
     * @param listener is the listener to forget
     */
    public void removeInstanceLifeCycleListener(Object listener) {
    	throw new SpeedoRuntimeException("Dynamic listener removing is not supported in EJB personality of Speedo");
    }
    
    public void sendEvent(int eventType, Object source, Object target) {
    	//do nothing by default
    }
    public boolean hasInstanceLifeCycleListeners() {
        return false;
    }
}
