/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.pm.jdo.api;

import org.objectweb.speedo.pm.api.POManagerItf;
import org.objectweb.speedo.query.api.QueryDefinition;

import javax.jdo.PersistenceManager;
import javax.jdo.datastore.JDOConnection;

/**
 * Is a specialization of the generic POManagerItf dedicated for the JDO API. 
 * It offers shorcut method for persistent object management (get, make 
 * persistent, delete, detach, refresh, ...).
 *
 * @author S.Chassande-Barrioz
 */
public interface JDOPOManagerItf 
    extends POManagerItf, JDOConnection, PersistenceManager {
	
	void deleteByQuery(QueryDefinition qd);
}
