/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.query.api;


/**
 * This interface represents the user definition of a query.
 *
 * @author S.Chassande-Barrioz
 */
public interface QueryDefinition {

    short TYPE_SELECT = 1;
    short TYPE_DELETE = 2;
    short TYPE_UPDATE = 3;
    
    short getQueryType();
    
	boolean equals(Object o);

	int hashCode();
	
	boolean withPrefetch();
	
	void withPrefetch(boolean withPrefetch);

	String qdToString(boolean oneLine);

	/**
	 * The application may want to skip some number of results that may have
	 * been previously returned, and additionally may want to limit the number
	 * of instances returned from a query. The default range for query execution
	 * if this method is not called are (0, Long.MAX_VALUE).
	 */
	long getIndexFirst();

	/**
	 * The application may want to skip some number of results that may have
	 * been previously returned, and additionally may want to limit the number
	 * of instances returned from a query. The default range for query execution
	 * if this method is not called are (0, Long.MAX_VALUE).
	 */
	long getIndexLast();
    
    boolean fetchIdentifierOnly();
}
