/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.query.jdo;

import org.objectweb.speedo.query.api.CompiledQuery;
import org.objectweb.speedo.query.api.QueryDefinition;
import org.objectweb.speedo.query.lib.SpeedoQueryManager;

/**
 * Is the JDO personality of the SpeedoQueryManager.
 *
 * @author S.Chassande-Barrioz
 */
public class JDOQueryManager extends SpeedoQueryManager {

    protected CompiledQuery createCompileQuery(QueryDefinition qd) {
        JDOAbstractCompiledQuery scq;
        if (qd.getQueryType() == QueryDefinition.TYPE_DELETE) {
            scq = new JDOCompiledDeleteQuery();
        } else {
            scq = new JDOCompiledSelectQuery();
        }
        scq.init(cqlogger, cqpvlogger, cqpflogger, mapper,
            prefetchBufferFactory, jormFactory);
        scq.defineQuery((JDOQueryDefinitionImpl) qd);
        return scq;
    }

}
