/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.ejb.pobjects.ref;

import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

/**
 * This is an example of self-referencing class with filtered inheritance.
 * Used in conjonction with GeoRef.
 * 
 * @author Y.Bersihand, P. Dechamboux
 */

@Entity
@Table(name="EJB_LITEM")
@Inheritance(strategy=InheritanceType.SINGLE_TABLE)
@DiscriminatorValue("0")
@DiscriminatorColumn(name="DISCRIM",discriminatorType=DiscriminatorType.INTEGER)
public class Litem {
	private Long oid;
	private String name;
	
	public Litem(String name) {
		setName(name);
	}
	
	@Id
	@Column(name="ID")	
	public Long getOid() {
		return oid;
	}
	public void setOid(Long oid) {
		this.oid = oid;
	}
	
	@Column(name="NAME")	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
}
