/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S. Col
 *
 */

package org.objectweb.speedo.ejb.pobjects.ref;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;


/**
 * Used in conjonction with Member and Group.
 * 
 * @author Y.Bersihand, P. Dechamboux
 */

@Entity
@Table(name="EJB_PRESIDENT")
public class President {
	@Id
	@Column(name="ID")	
    Long oid;
	@Column(name="NAME")	
	public String name = null;
	@OneToOne(targetEntity=Group.class)
	@JoinColumn(name="GROUP",referencedColumnName="ID",nullable=false)
	public Group itsGroup = null;
	
	public President() {
	}
	
	public President(String itsName) {
		name = itsName;
	}
    public long getOid() {
        return oid;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public Group getGroup() {
		return itsGroup;
	}
	
	public void setGroup(Group g) {
		itsGroup = g;
	}
}
