/*
 * Created on 22 juin 2005
 */
package abook.data;

/**
 * Provides object of type Acquisition mapping the data stored in the sql database
 *
 */
public class Acquisition {


	private long book_id;
	private String user_id;
	private User user;
	private Book book;
	private double lastKnownPosition; //in seconds
	private boolean isCurrentListening;
	
	/**
	 * Constructs a new Acquisition object
	 * @param theBook The book acquired.
	 * @param theUser The user of the book.
	 */
	public Acquisition(User theUser, Book theBook) {
		this.book_id = theBook.getBookId();
		this.user_id = new String(theUser.getLogin());
		this.user = theUser;
		this.book = theBook;
		this.lastKnownPosition = 0;
		isCurrentListening=false;
	}
	
	/**
	 * @return Returns the lastKnownPosition.
	 */
	public double getLastKnownPosition() {
		return lastKnownPosition;
	}
	/**
	 * @param lastKnownPosition The lastKnownPosition to set.
	 */
	public void setLastKnownPosition(double lastKnownPosition) {
		this.lastKnownPosition = lastKnownPosition;
	}
	
	
	/**
	 * @return Returns the bookId.
	 */
	public long getBook_id() {
		return book_id;
	}
	/**
	 * @param bookId The bookId to set.
	 */
	public void setBook_id(long bookId) {
		this.book_id = bookId;
	}
	/**
	 * @return Returns the userId.
	 */
	public String getUser_id() {
		return user_id;
	}
	
	public Boolean isEqualTo(String _userId, Long _bookId)
	{
		Long myBookId=new Long(book_id);
		return new Boolean(_userId.compareTo(user_id)==0 && myBookId == _bookId);
	}
	/**
	 * @param userId The userId to set.
	 */
	public void setUser_id(String userId) {
		this.user_id = userId;
	}

	
	/**
	 * @return Returns the isCurrentListening.
	 */
	public boolean isCurrentListening() {
		return isCurrentListening;
	}
	/**
	 * @param isCurrentListening The isCurrentListening to set.
	 */
	public void setCurrentListening(boolean isCurrentListening) {
		this.isCurrentListening = isCurrentListening;
	}
	/* 
	 * @return  a string representation of the object.
	 */
	public String toString() {
		return new String("acquisition (bookId="+ this.book_id + ", userId=" + this.user_id +")");
		}
	/**
	 * @return Returns the book.
	 */
	public Book getBook() {
		return book;
	}
	/**
	 * @param book The book to set.
	 */
	public void setBook(Book book) {
		this.book = book;
	}
	/**
	 * @return Returns the user.
	 */
	public User getUser() {
		return user;
	}
	/**
	 * @param user The user to set.
	 */
	public void setUser(User user) {
		this.user = user;
	}
}
