/*
 * Created on 22 juin 2005
 */
package abook.data;

/**
 * This class provides an objectId (i.e. identifier) for the Acquisition class
 */
	public class AcquisitionId {
		
	    public static final String SEP = ":";
	    // 1) public fields
	    public long book_id;
	    public String user_id;

	    // 2) empty constructor
	    public AcquisitionId() {
	    }


	    public AcquisitionId(long a, String b) {
	        this.book_id = a;
	        this.user_id = b;
	    }

	    // 4) constructor with a string parameter
	    public AcquisitionId(String str) {
	        setValue(str);
	    }

	    private void setValue(String str) {
	        if (str == null) {
	            throw new NullPointerException("String representation of MyClass Identifier is null");
	        }
	        int idx = str.indexOf(SEP);
	        if (idx == -1) {
	            throw new NullPointerException("Bad String representation of MyClass Identifier: " + str);
	        }
	        book_id = new Long(str.substring(0, idx)).longValue();
	        user_id = str.substring(idx + SEP.length());
	    }

	    // 3) toString()
	    public String toString() {
	        return book_id + SEP + user_id;
	    }

	    // 3) implement your own hashCode() method
	    public int hashCode() {
	       return 0;
	    }

	    // 3) implement your own equals method
	    public boolean equals(Object o) {
	       if (!( o instanceof AcquisitionId)) {
	          return false;
	       }
	       AcquisitionId oCompare = (AcquisitionId) o;
	       return  (book_id == oCompare.book_id) && (user_id.equals(oCompare.user_id));
	    }
	}



