/*
 * Created on 16 juin 2005
 *
 */
package abook.data;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Provides object of type Narrator mapping the data stored in the sql database
 */
public class Narrator {

	private String lastName;
	private String firstName;
	private long narratorId;
	private Collection books;
	
	/**
	 * Constructs a new Narrator object
	 * @param firstName The narrator's first name.	 
	 * @param lastName The narrator's last name.
	 * @param narratorId The narrator identifier
	 */
	public Narrator(String firstName, String lastName, long narratorId) {
		this.lastName = lastName;
		this.firstName = firstName;
		this.narratorId = narratorId;
		books = new ArrayList();
	}
	/**
	 * @return Returns the books.
	 */
	public Collection getBooks() {
		return books;
	}
	/**
	 * @param books The books to set.
	 */
	public void setBooks(Collection books) {
		this.books = books;
	}
	/**
	 * @return Returns the firstName.
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * @param firstName The firstName to set.
	 */
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	/**
	 * @return Returns the lastName.
	 */
	public String getLastName() {
		return lastName;
	}
	/**
	 * @param lastName The lastName to set.
	 */
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	/**
	 * @return Returns the narratorId.
	 */
	public long getNarratorId() {
		return narratorId;
	}
	/**
	 * @param narratorId The narratorId to set.
	 */
	public void setNarratorId(long narratorId) {
		this.narratorId = narratorId;
	}
	/**
	 * @param book The book to add.
	 * @return true the books collection changed as a result of the call
	 */
	public boolean addBook(Book book) {
		return books.add(book);
	}
}
