/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.fetchgroup;

/**
 * @author Y.Bersihand
 */
public class BookId {

	public static final String SEP = ":";
	public int isbn;
	public String type;

	public BookId() {
	}

	public BookId(int isbn, String type) {
		this.isbn = isbn;
		this.type = type;
	}

	public BookId(String str) {
		setValue(str);
	}

	private void setValue(String str) {
		if (str == null) {
			throw new NullPointerException("String representation of Book Identifier is null");
		}
		int idx = str.indexOf(SEP);
		if (idx == -1) {
			throw new NullPointerException("Bad String representation of Book Identifier: " + str);
		}
		isbn = Integer.valueOf(str.substring(0, idx)).intValue();
		type = str.substring(idx + SEP.length());
	}

	public String toString() {
		return isbn + SEP + type;
	}

}
