/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.fetchgroup;

/**
 * @author Y.Bersihand
 */
public class Dictionnary extends Book {

	int wordNb;
	int year;
	Editor editor;
	
	public Dictionnary(int isbn, Author author, int pageNb, int wordNb, int year, Editor editor) {
		super(isbn, author, pageNb, "dictionnary");
		this.wordNb = wordNb;
		this.year = year;
		this.editor = editor;
	}
	
	public Editor getEditor() {
		return editor;
	}
	public void setEditor(Editor editor) {
		this.editor = editor;
	}
	public int getWordNb() {
		return wordNb;
	}
	public void setWordNb(int wordNb) {
		this.wordNb = wordNb;
	}
	public int getYear() {
		return year;
	}
	public void setYear(int year) {
		this.year = year;
	}
	
	public String toString() {
		return super.toString() + 
		"\n\t[wordNb=" + wordNb + ", year=" + year + ",editor=" + (editor == null?"no editor":editor.toString());
	}
}
