/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.fetchgroup;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * @author Y.Bersihand
 */
public class Node {

	private String name;
	private Map edges;
	
	public Node(String name) {
		this.name = name;
		this.edges = new HashMap();
	}

	/**
	 * @return Returns the edges.
	 */
	public Map getEdges() {
		return edges;
	}
	/**
	 * @param edges The edges to set.
	 */
	public void setEdges(Map edges) {
		this.edges = edges;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
	
	public void addEdge(String name, EdgeWeight ew){
		edges.put(name, ew);
	}
	
	public String toString(){
		String s = name + " :";
		Iterator it = edges.keySet().iterator();
		while(it.hasNext()){
			String n = (String) it.next();
			s += "(" + n + ",";
			EdgeWeight ew = (EdgeWeight) edges.get(n);
			if(ew != null)
				s += ew.getWeight() + ") ";
			else
				s += "null)";
		}
		return s;
	}
}
