/*
 * Created on 27 mai 2004
 *
 * To change the template for this generated file go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
package org.objectweb.speedo.pobjects.inheritance.ejboo2;

import java.util.Collection;
import java.util.Date;
import java.util.HashSet;
import java.util.Iterator;

import javax.jdo.InstanceCallbacks;
import javax.jdo.JDOHelper;
import javax.jdo.PersistenceManager;


/**
 * Persistent Data
 */

public abstract class ArticlePersistantImpl
        implements ArticlePersistant, InstanceCallbacks {

	private Long id;

    private String nom;

    private String description;

	/**
	 * S=Service, M=Materiel.
	 */
    private String type;

	/**
	 * Date de commande.
	 */
    private Date dateCom;

    /**
    * one many relation, reverse = articles
    */
    //private CataloguePersistant catalogue;
    private CataloguePersistantImpl catalogue;

    /**
    * many many relation, reverse = articles
    */
    private Collection marches;



	public ArticlePersistantImpl() {
		marches = new HashSet();
	}

	public ArticlePersistantImpl(String _type) {
		this();
		this.type = _type;
	}

	public ArticlePersistantImpl(String _type, long idart) {
		this(_type);
		this.id = new Long(idart);
	}

    /**
	 * @return Returns the catalogue.
	 */
	public CataloguePersistant getCatalogue() {
		return catalogue;
	}
	/**
	 * @param catalogue The catalogue to set.
	 */
	public void setCatalogue(CataloguePersistant catalogue) {
		this.catalogue = (CataloguePersistantImpl)catalogue;
	}
	/**
	 * @return Returns the dateCom.
	 */
	public Date getDateCom() {
		return dateCom;
	}
	/**
	 * @param dateCom The dateCom to set.
	 */
	public void setDateCom(Date dateCom) {
		this.dateCom = dateCom;
	}
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the id.
	 */
	public Long getId() {
		return id;
	}
	/**
	 * @param id The id to set.
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * @return Returns the marches.
	 */
	public Collection getMarches() {
		return marches;
	}
	/**
	 * @param marches The marches to set.
	 */
	public void setMarches(Collection marches) {
		this.marches = marches;
	}
	/**
	 * @return Returns the nom.
	 */
	public String getNom() {
		return nom;
	}
	/**
	 * @param nom The nom to set.
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}
	/**
	 * @return Returns the type.
	 */
	public String getType() {
		return type;
	}
	/**
	 * @param type The type to set.
	 */
	public void setType(String type) {
		this.type = type;
	}

	public void supprimer() {
		System.out.println("ArticlePersistantImpl.supprimer");
        PersistenceManager pm = JDOHelper.getPersistenceManager(this);

        System.out.println("pm.deletePersistent(this)");
        pm.deletePersistent(this);
	}

    public void jdoPreDelete() {
    	//System.out.println("ArticlePersistantImpl.jdoPreDelete");
        PersistenceManager pm = JDOHelper.getPersistenceManager(this);

        // remove article-catalogue relation
        catalogue = null;

        // remove marches-articles relations
        for (Iterator i = marches.iterator(); i.hasNext();) {
            ((MarchePersistant) i.next()).getArticles().remove(this);
        }

        // remove articles-marches relations
        marches.clear();
    }

    public void jdoPreStore() {

    }
    public void jdoPreClear() {

    }
    public void jdoPostLoad() {

    }

	public String toString() {
		String s = new String(this.getClass().getName());
		s += " id="+id;
		s += " nom="+nom;
		s += " description="+description;
		s += " type="+type;
		return s;
	}
}
