/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.map;

import java.util.Map;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.Properties;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class AllMap {

    private String id;
    private Map map_str2Long;
    private Map map_str2Ref;
    private Map map_Long2Long;
    private Map map_Long2Ref;

    private HashMap hmap_str2Long;
    private HashMap hmap_str2Ref;
    private HashMap hmap_Long2Long;
    private HashMap hmap_Long2Ref;

    private Hashtable ht_str2Long;
    private Hashtable ht_str2Ref;
    private Hashtable ht_Long2Long;
    private Hashtable ht_Long2Ref;

    private Properties prop;


    public AllMap() {
    }

    public AllMap(String id) {
        this.id = id;
    }

    public void setStr2Long(Map m) {
        if (m == null) {
            map_str2Long = null;
            hmap_str2Long = null;
            ht_str2Long = null;
        } else {
            map_str2Long = new HashMap(m);
            hmap_str2Long = new HashMap(m);
            ht_str2Long = new Hashtable(m);
        }
    }
    public void setStr2Ref(Map m) {
        if (m == null) {
            map_str2Ref = null;
            hmap_str2Ref = null;
            ht_str2Ref = null;
        } else {
            map_str2Ref = new HashMap(m);
            hmap_str2Ref = new HashMap(m);
            ht_str2Ref = new Hashtable(m);
        }
    }
    public void setLong2Long(Map m) {
        if (m == null) {
            map_Long2Long = null;
            hmap_Long2Long = null;
            ht_Long2Long = null;
        } else {
            map_Long2Long = new HashMap(m);
            hmap_Long2Long = new HashMap(m);
            ht_Long2Long = new Hashtable(m);
        }
    }

    public void setlong2Ref(Map m) {
        if (m == null) {
            map_Long2Ref = null;
            hmap_Long2Ref = null;
            ht_Long2Ref = null;
        } else {
            map_Long2Ref = new HashMap(m);
            hmap_Long2Ref = new HashMap(m);
            ht_Long2Ref = new Hashtable(m);
        }
    }

    public void setProp(Map m) {
        if (m == null) {
            prop = null;
        } else {
            prop = new Properties();
            prop.putAll(m);
        }
    }

    public String getId() {
        return id;
    }

    public Map getMap_str2Long() {
        return map_str2Long;
    }

    public Map getMap_str2Ref() {
        return map_str2Ref;
    }

    public Map getMap_Long2Long() {
        return map_Long2Long;
    }

    public Map getMap_Long2Ref() {
        return map_Long2Ref;
    }

    public HashMap getHmap_str2Long() {
        return hmap_str2Long;
    }

    public HashMap getHmap_str2Ref() {
        return hmap_str2Ref;
    }

    public HashMap getHmap_Long2Long() {
        return hmap_Long2Long;
    }

    public HashMap getHmap_Long2Ref() {
        return hmap_Long2Ref;
    }

    public Hashtable getHt_str2Long() {
        return ht_str2Long;
    }

    public Hashtable getHt_str2Ref() {
        return ht_str2Ref;
    }

    public Hashtable getHt_Long2Long() {
        return ht_Long2Long;
    }

    public Hashtable getHt_Long2Ref() {
        return ht_Long2Ref;
    }

    public Properties getProp() {
        return prop;
    }
}
