/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.pobjects.map;

import java.util.Map;
import java.util.HashMap;

public class Registry {

    public String name;

    public Map bindings;

    public Registry () {
    }

    public Registry (String name) {
        this.name = name;
        bindings = new HashMap();
    }

    public void bind (String name, Object value) {
        bindings.put(name, value);
    }

    public Object lookup (String name) {
        return bindings.get(name);
    }

    public boolean equals (Object o) {
        return (o instanceof Registry) && ((Registry) o).name.equals(name);
    }

    public int hashCode () {
        return name.hashCode();
    }
}
