/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.runtime.basic;

import org.objectweb.speedo.SpeedoTestHelper;
import org.objectweb.speedo.pobjects.basic.SqlClasses;

import javax.jdo.PersistenceManager;

import junit.framework.Assert;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class TestSqlClasses extends SpeedoTestHelper {

	public TestSqlClasses(String s) {
		super(s);
	}

	protected String getLoggerName() {
		return LOG_NAME + ".rt.basic.TestSqlClasses";
	}

	public void test1() {
        SqlClasses sql = new SqlClasses(1);
        java.sql.Date d = new java.sql.Date(12345);
        java.sql.Time t = new java.sql.Time(123450);
        java.sql.Timestamp ts = new java.sql.Timestamp(1234500);
        sql.setDate(d);
        sql.setTime(t);
        sql.setTimestamp(ts);
        PersistenceManager pm = pmf.getPersistenceManager();
        pm.makePersistent(sql);
        Object sId = pm.getObjectId(sql);
        Assert.assertNotNull("null object identifier", sId);
        pm.close();
        sql = null;
        pm = pmf.getPersistenceManager();
        sql = (SqlClasses) pm.getObjectById(sId, true);
        Assert.assertNotNull("null instance returned by getObjectById", sql);
        Assert.assertEquals("Bad date value", d, sql.getDate());
        Assert.assertEquals("Bad time value", t, sql.getTime());
        Assert.assertEquals("Bad timestamp value", ts, sql.getTimestamp());
        pm.currentTransaction().begin();
        pm.deletePersistent(sql);
        pm.currentTransaction().commit();
        pm.close();
    }
}
