/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.runtime.jca;

import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import javax.sql.DataSource;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class SimpleDataSource implements DataSource {
    private String url;
    private String user;
    private String password;
    private PrintWriter pw;
    int to = 0;

    public SimpleDataSource(String driver, 
                            String url,
                            String user,
                            String password) throws Exception {
        Class.forName(driver);
        this.url = url;
        this.user = user;
        this.password = password;
    }

    public Connection getConnection() throws SQLException {
        return DriverManager.getConnection(url, user, password);
    }

    public Connection getConnection(String username, String password)
            throws SQLException {
        return DriverManager.getConnection(url, username, password);
    }

    public PrintWriter getLogWriter() throws SQLException {
        return pw;
    }

    public void setLogWriter(PrintWriter out) throws SQLException {
        pw = out;
    }

    public void setLoginTimeout(int seconds) throws SQLException {
        to = seconds;
    }

    public int getLoginTimeout() throws SQLException {
        return to;
    }
}
